require 'test_helper'

class ClientTest < Minitest::Test
  def setup
    @client = Honey::Client.new
  end

  def test_builds_order
    assert_match_xpath "order/items/item", @client.build_order(valid_order)
  end

  def test_builds_stock_check
    assert_match_xpath "stockcheck/sku", @client.build_stock_check(12345)
  end

  def test_builds_order_status
    assert_match_xpath "orderstatus", @client.build_order_status(12345)
  end

  # These only work when supplied valid credentials
  #
  # def test_checks_stock_as_arguments
  #   results = @client.stock_check("BMS28515", "KL-468B")
  #   assert results.has_key?("BMS28515")
  #   assert results.has_key?("KL-468B")
  # end

  # def test_checks_stock_as_array
  #   results = @client.stock_check(["BMS28515", "KL-468B"])
  #   assert results.has_key?("BMS28515")
  #   assert results.has_key?("KL-468B")
  # end
end
