require 'test_helper'

class DataFeedTest < Minitest::Test
  def test_url
    feed = Honey::DataFeed.new('code', :json)
    assert_equal feed.url, 'https://www.honeysplace.com/df/code/json'
  end

  def test_format_is_valid
    feed = Honey::DataFeed.new('code', :unknown_format)
    assert_nil feed.format

    assert_raises ArgumentError do
      feed.url
    end
  end
end
